<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_141) on Thu Jun 07 14:32:07 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>I-Index</title>
<meta name="date" content="2018-06-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="I-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-8.html">Prev Letter</a></li>
<li><a href="index-10.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-9.html" target="_top">Frames</a></li>
<li><a href="index-9.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><a href="../Vista/inicioSesionVista.html" title="class in Vista"><span class="typeNameLink">inicioSesionVista</span></a> - Class in <a href="../Vista/package-summary.html">Vista</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Vista/inicioSesionVista.html#inicioSesionVista-Vista.Escritorio-">inicioSesionVista(Escritorio)</a></span> - Constructor for class Vista.<a href="../Vista/inicioSesionVista.html" title="class in Vista">inicioSesionVista</a></dt>
<dd>
<div class="block">Creates new form inicioSesionVentana</div>
</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#insercionDatosEjemplo--">insercionDatosEjemplo()</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#insertBookBBDD-int-java.lang.String-java.lang.String-">insertBookBBDD(int, String, String)</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Añadir un nuevo libro en BBDD<br>

 Metodo con el que se introducira un nuevo registro compuesto por los
 datos de un libro</div>
</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#insertPrestamoLibroBBDD-Negocio.PrestamoClass-">insertPrestamoLibroBBDD(PrestamoClass)</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Creacion de un Prestamo de Libro<br>

 Metodo que realiza un INSERT TO en la Tabla prestamos_libros de la Base
 de datos biblioteca con el ojetivo de crear un nuevo registro de prestamo
 en la tabla</div>
</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#insertUserBBDD-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">insertUserBBDD(String, String, String, String, String, String, String)</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Añadir de usuario en la BBDD<br>

 Método que inserta un nuevo usuario en la base de datos</div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/AdminClass.html#instalacionBBDD--">instalacionBBDD()</a></span> - Method in class Negocio.<a href="../Negocio/AdminClass.html" title="class in Negocio">AdminClass</a></dt>
<dd>
<div class="block">Metodo que contiene todos los pasos para instalar la base de datos en MYSQL</div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/AdminClass.html#instalacionDatosEjemplo--">instalacionDatosEjemplo()</a></span> - Method in class Negocio.<a href="../Negocio/AdminClass.html" title="class in Negocio">AdminClass</a></dt>
<dd>
<div class="block">Metodo para la insercion de los datos de ejemplo en todas las tablas</div>
</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#isAdministrator-java.lang.String-java.lang.String-">isAdministrator(String, String)</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Existencia de un Administrador<br>

 Método que devulve si un administrador con una contraseña concreta existe
 o no</div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/AdminClass.html#isAdminLogeado--">isAdminLogeado()</a></span> - Method in class Negocio.<a href="../Negocio/AdminClass.html" title="class in Negocio">AdminClass</a></dt>
<dd>
<div class="block">Devuelve si existe un administrador logeado o no</div>
</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#isBookDevuelto-Negocio.PrestamoClass-">isBookDevuelto(PrestamoClass)</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Existencia de devolucion de Book<br>
 Metodo de confirmacion de la existencia de la devolucion de un libro o no</div>
</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#isBookPrestado-Negocio.PrestamoClass-">isBookPrestado(PrestamoClass)</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Existencia del prestamo de un libro actualmente<br>
 Metodo que comprueba la existencia del prestamo de un libro por medio del
 numero ISBN del libro a consultar.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/PrestamosProcess.html#isDevueltoBook-java.lang.String-java.lang.String-">isDevueltoBook(String, String)</a></span> - Method in class Negocio.<a href="../Negocio/PrestamosProcess.html" title="class in Negocio">PrestamosProcess</a></dt>
<dd>
<div class="block">Responde si un libro se a devuelto <br></div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/UserProcess.html#isEmailExist-java.lang.String-">isEmailExist(String)</a></span> - Method in class Negocio.<a href="../Negocio/UserProcess.html" title="class in Negocio">UserProcess</a></dt>
<dd>
<div class="block">Comprobacion de la existencia de un email.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/BookProcess.html#isISBNExist-java.lang.String-">isISBNExist(String)</a></span> - Method in class Negocio.<a href="../Negocio/BookProcess.html" title="class in Negocio">BookProcess</a></dt>
<dd>
<div class="block">Existencia de un libro en la biblioteca<br></div>
</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#isISBNExists-java.lang.String-">isISBNExists(String)</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Existencia del numero ISBN de un libro<br>

 Metodo que comprueba la existencia de un libro por medio de su numero
 ISBN devolviendo true o false</div>
</dd>
<dt><span class="memberNameLink"><a href="../Vista/HistorialPrestamosVista.html#isModeloRowExists--">isModeloRowExists()</a></span> - Method in class Vista.<a href="../Vista/HistorialPrestamosVista.html" title="class in Vista">HistorialPrestamosVista</a></dt>
<dd>
<div class="block">Numero de Filas<br>
 
 Metodo que devuelve el numero de rows o filas existentes en el modelo actual</div>
</dd>
<dt><span class="memberNameLink"><a href="../Vista/PrestamoActualVista.html#isModeloRowExists--">isModeloRowExists()</a></span> - Method in class Vista.<a href="../Vista/PrestamoActualVista.html" title="class in Vista">PrestamoActualVista</a></dt>
<dd>
<div class="block">Metodo que devolvera si existen filas o no en el modelo de JTable <br></div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/UserProcess.html#isNumCarnetExist-java.lang.String-">isNumCarnetExist(String)</a></span> - Method in class Negocio.<a href="../Negocio/UserProcess.html" title="class in Negocio">UserProcess</a></dt>
<dd>
<div class="block">Comprobacion de la existencia de un numero de carnet.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/PrestamosProcess.html#isPrestadoBook-java.lang.String-java.lang.String-">isPrestadoBook(String, String)</a></span> - Method in class Negocio.<a href="../Negocio/PrestamosProcess.html" title="class in Negocio">PrestamosProcess</a></dt>
<dd>
<div class="block">Existencia de un prestamo <br>
 
 Metodo para saber si un libro esta actualemente en prestamo introduciendo el numero
 de ISBNy el numero de carnet</div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/PrestamosProcess.html#isPrestadoBookOnlyIsbn-java.lang.String-">isPrestadoBookOnlyIsbn(String)</a></span> - Method in class Negocio.<a href="../Negocio/PrestamosProcess.html" title="class in Negocio">PrestamosProcess</a></dt>
<dd>
<div class="block">Comprobacion de la existencia de un libro concreto prestado <br>
 Metodo para saber si un libro esta actualemente en prestamo introduciendo solamente el numero ISBN</div>
</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#isUserCarnetNumber-java.lang.String-">isUserCarnetNumber(String)</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Existencia de un Numero de Carnet de usuario<br>

 Metodo que devuelve si un Numero de Carnet ya existe en la BBDD o no</div>
</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#isUserEmail-java.lang.String-">isUserEmail(String)</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Existencia de un email<br>

 Metodo que devuelve si un email ya existe en la BBDD o no</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-8.html">Prev Letter</a></li>
<li><a href="index-10.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-9.html" target="_top">Frames</a></li>
<li><a href="index-9.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
